Bug 37825 - [chromium] select popup asserts on Mac
Summary: [chromium] select popup asserts on Mac
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-19 15:03 PDT by Jay Civelli
Modified: 2010-04-21 20:22 PDT (History)
2 users (show)

See Also:


Attachments
Fix for an ASSERT with select popups on Mac (1.70 KB, patch)
2010-04-19 15:22 PDT, Jay Civelli
no flags Details | Formatted Diff | Diff
Fixing style (1.72 KB, patch)
2010-04-19 15:24 PDT, Jay Civelli
no flags Details | Formatted Diff | Diff
Fixing ChangeLog (1.69 KB, patch)
2010-04-20 10:00 PDT, Jay Civelli
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jay Civelli 2010-04-19 15:03:47 PDT
- In Chromium Mac, open a page with a select (ex: http://www.google.com/preferences?hl=en)
- Open the select popup, select an item so the popup is closed.
- Open the select popup again.

Expected:
The popup shows again.

Actual:
The tab crashes (because an ASSERT is triggered)
Comment 1 Jay Civelli 2010-04-19 15:22:11 PDT
Created attachment 53728 [details]
Fix for an ASSERT with select popups on Mac
Comment 2 WebKit Review Bot 2010-04-19 15:23:45 PDT
Attachment 53728 [details] did not pass style-queue:

Failed to run "WebKitTools/Scripts/check-webkit-style" exit_code: 1
WebKit/chromium/src/ChromeClientImpl.cpp:633:  Tab found; better to use spaces  [whitespace/tab] [1]
WebKit/chromium/src/ChromeClientImpl.cpp:634:  Tab found; better to use spaces  [whitespace/tab] [1]
WebKit/chromium/src/ChromeClientImpl.cpp:635:  Tab found; better to use spaces  [whitespace/tab] [1]
Total errors found: 3 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Jay Civelli 2010-04-19 15:24:43 PDT
Created attachment 53729 [details]
Fixing style
Comment 4 Shinichiro Hamaji 2010-04-20 01:17:24 PDT
Comment on attachment 53729 [details]
Fixing style

> +        * WebKit.gyp:

It seems you didn't modify this file actually.
Comment 5 Jay Civelli 2010-04-20 10:00:31 PDT
Created attachment 53832 [details]
Fixing ChangeLog
Comment 6 WebKit Commit Bot 2010-04-21 20:22:23 PDT
Comment on attachment 53832 [details]
Fixing ChangeLog

Clearing flags on attachment: 53832

Committed r58046: <http://trac.webkit.org/changeset/58046>
Comment 7 WebKit Commit Bot 2010-04-21 20:22:27 PDT
All reviewed patches have been landed.  Closing bug.